/* Problem URL: https://codeforces.com/contest/2149/problem/D */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;

        string a;
        cin >> a;

        vi act(n);
        rep(i, n) {
            act[i] = a[i] - 'a';
        }

        vl apref(n + 1);
        vl asuf(n + 1);
        vl bpref(n + 1);
        vl bsuf(n + 1);

        int c = 0;
        rep(i, n) {
            apref[i + 1] = apref[i];
            if (act[i]) {
                apref[i + 1] += i - c;
                c++;
            }
        }

        c = 0;
        for (int i = n - 1; i >= 0; i--) {
            asuf[i] = asuf[i + 1];
            if (act[i]) {
                asuf[i] += n - i - 1 - c;
                c++;
            }
        }

        c = 0;
        rep(i, n) {
            bpref[i + 1] = bpref[i];
            if (!act[i]) {
                bpref[i + 1] += i - c;
                c++;
            }
        }

        c = 0;
        for (int i = n - 1; i >= 0; i--) {
            bsuf[i] = bsuf[i + 1];
            if (!act[i]) {
                bsuf[i] += n - i - c - 1;
                c++;
            }
        }


        ll ans = INT64_MAX >> 1;

        rep(i, n) {
            if (act[i]) {
                rmin(ans, bpref[i] + bsuf[i + 1]);
                continue;
            }

            rmin(ans, apref[i] + asuf[i + 1]);
        }

        cout << ans << '\n';
    }
}
